%define upstream_name    Config-MVP-Slicer
%define upstream_version 0.301

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract embedded plugin config from parent config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This can be used to extract embedded configurations for other plugins out
of larger (parent) configurations.

A example where this can be useful is plugin bundles (see the
Config::MVP::Assembler::WithBundles manpage).

A bundle loads other plugins with a default configuration that works most
of the time, but sometimes you wish you could customize the configuration
for one of those plugins without having to remove the plugin from the
bundle and re-specify it separately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml LICENSE META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Nov 18 2011 jquelin <jquelin> 0.301.0-1.mga2
+ Revision: 168839
- imported package perl-Config-MVP-Slicer


* Fri Nov 18 2011 cpan2dist 0.301-1mga
- initial mageia release, generated with cpan2dist
